"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformWidget = void 0;
const tools_1 = require("../tools");
/**
 * This plugin changes literal properties that contain "true" or "false" expressions.
 *
 * @param widget the widget tree to process
 * @param options the flutter-view options
 * @return the transformed widget tree
 */
function transformWidget(widget, options) {
    if (!widget.params)
        return widget;
    for (let param of widget.params) {
        if (param.type == 'literal' && (param.value == 'true' || param.value == 'false')) {
            param.type = 'expression';
            param.value = (0, tools_1.unquote)(param.value);
            param.resolved = true;
        }
    }
    (0, tools_1.applyOnDescendants)(widget, descendant => transformWidget(descendant, options));
    return widget;
}
exports.transformWidget = transformWidget;
