"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformWidget = void 0;
const tools_1 = require("../tools");
/**
 * When you set a style with just a number, treat it as a number, even
 * if it is a string.
 *
 * @param widget the widget tree to process
 * @param options the flutter-view options
 * @return the transformed widget tree
 */
function transformWidget(widget, options) {
    if (!widget.params)
        return widget;
    for (let param of widget.params) {
        if (param.type == 'literal' && !isNaN(param.value)) {
            param.type = 'expression';
            param.resolved = true;
        }
    }
    (0, tools_1.applyOnDescendants)(widget, descendant => transformWidget(descendant, options));
    return widget;
}
exports.transformWidget = transformWidget;
