"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformWidget = void 0;
const tools_1 = require("../tools");
function transformWidget(widget, options) {
    // convert int values in styte positions to doubles
    if (widget.name == 'Positioned') {
        for (let param of widget.params) {
            if (param.name == 'left' ||
                param.name == 'top' ||
                param.name == 'right' ||
                param.name == 'bottom' ||
                param.name == 'width' ||
                param.name == 'height') {
                param.value = (0, tools_1.parseStyleDoubleValue)(param.value.toString());
            }
        }
    }
    // also apply the plugin to the rest of the widget tree of this widget
    (0, tools_1.applyOnDescendants)(widget, descendant => transformWidget(descendant, options));
    return widget;
}
exports.transformWidget = transformWidget;
