"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformWidget = void 0;
const tools_1 = require("../tools");
/**
 * Transforms theme properties into literal Theme.of(context).property expressions
 * @param widget the widget and descendants to process
 * @param options the flutter-view options
 */
function transformWidget(widget, options) {
    if (!widget.params)
        return widget;
    for (let param of widget.params) {
        if (param.value && param.type == 'literal') {
            const value = param.value.toString();
            const themeStyle = (0, tools_1.parseThemeStyle)(value);
            if (themeStyle) {
                param.type = 'expression';
                param.value = themeStyle;
            }
        }
    }
    // also apply the plugin to the rest of the widget tree of this widget
    (0, tools_1.applyOnDescendants)(widget, descendant => transformWidget(descendant, options));
    return widget;
}
exports.transformWidget = transformWidget;
