"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformWidget = void 0;
const tools_1 = require("../tools");
const lodash_1 = require("lodash");
/**
 * This plugin removes empty children.
 *
 * @param widget the widget tree to process
 * @param options the flutter-view options
 * @return the transformed widget tree
 */
function transformWidget(widget, options) {
    const childrenParam = (0, tools_1.findParam)(widget, 'children', true);
    if (childrenParam && (childrenParam.type == 'array' || childrenParam.type == 'widgets')) {
        const children = childrenParam.value;
        if (children.length == 0)
            (0, lodash_1.pull)(widget.params, childrenParam);
    }
    (0, tools_1.applyOnDescendants)(widget, descendant => transformWidget(descendant, options));
    return widget;
}
exports.transformWidget = transformWidget;
